show diff in templates history not working

11/21/2018 04:41 PM - Alexandre Barth

Status: Resolved   

Priority: Normal   

Assignee: Kavita Gaikwad   

Category: Audit Log   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases: 1.20.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When modifying any kind of template (provisioning templates and ptables templates at least, did not try jobs templates), the show diff

button on the history tab redirects to audit page and display 'no entries found'

History

#1 - 11/22/2018 11:00 AM - Radosław Piliszek

Same here. Also, there are no mentions of template changes in the main audit.

#2 - 11/26/2018 12:56 PM - Tomer Brisker

- Category set to Audit Log

- Target version set to 1.20.1

- Triaged changed from No to Yes

#3 - 11/26/2018 01:14 PM - Kavita Gaikwad

- Assignee set to Kavita Gaikwad

#4 - 11/28/2018 02:15 PM - Kavita Gaikwad

Could you please share steps to reproduce?

I have tried but failed to reproduce this scenario.

For admin user, are you able to see any entry under audit page?

#5 - 11/29/2018 07:29 AM - Radosław Piliszek

Yes, there are entries but not for changes in templates.

Note this is an installation upgraded from 1.19. It could be that it happened in 1.19 but just was not observed.

#6 - 11/30/2018 10:12 AM - Kavita Gaikwad

Radosław Piliszek wrote:

Yes, there are entries but not for changes in templates.

Note this is an installation upgraded from 1.19. It could be that it happened in 1.19 but just was not observed.

 Thank you for providing additional details. It would be great help if you share your observations on below points:

1. What you see under audits page by changing taxonomy scope to "Any organization" & "Any location". Any records related to template changes?

2. If yes, that means template changes are getting recorded under audit.

could you please confirm that those records contains your previously selected organization under Affected Organizations and location

under affected locations.

3. If not then please confirm that whether audit records related to template changes are present in database itself or not?

4. Are you looking at old audit records? or audit record won't get created when new changes in templates?

It might be possibility that selected taxanomy was not associated with template when audits data created for that template.

In short, selected taxonomy are not there under affected Organizations/locations of audit records for which you are clicking to see "Show diff".
#7 - 12/02/2018 03:24 PM - Radosław Piliszek

- File missing.PNG added

- File where.PNG added

1, 2. Where do I change this 'taxonomy'? See the attached screenshot "where.png".

3, 4. Records seem to get created but not displayed. See the attached screenshot "missing.png" and below:

foreman=# SELECT id FROM audits WHERE id = 24409;

  id

-------

 24409

(1 row)

#8 - 12/03/2018 01:17 PM - Kavita Gaikwad

Radosław Piliszek wrote:

1, 2. Where do I change this 'taxonomy'? See the attached screenshot "where.png".

3, 4. Records seem to get created but not displayed. See the attached screenshot "missing.png" and below:

[...]

 1. Could you please confirm that taxonomies i.e. Organization & Location are disabled on your setup.

Or it could be possible - user that you are using is limited to only one taxonomy i.e Organization/location.

2. Any other user mostly check with admin whether able to see changes from template?

#9 - 12/03/2018 01:29 PM - Radosław Piliszek

1. I have no mention of taxonomies anywhere in the UI.

2. This is the admin user that made the changes as well.

#10 - 12/05/2018 03:05 PM - Tomer Brisker

- Target version deleted (1.20.1)

It seems you have disabled locations and organizations in your settings.yaml and the audit history doesn't display correctly due to that. Considering

that this option is deprecated and will be removed in 1.21 (due in part to multiple bugs around it, see 

https://community.theforeman.org/t/proposal-remove-support-for-disabling-taxonomies-or-login/10972 for further info), I don't expect this issue to be

resolved, but will keep this issue open for now.

#11 - 12/10/2018 07:49 AM - Radosław Piliszek

Turning on locations and organizations fixed the problem immediately.

It works just fine now with Any/Any filter.

Thank you.

As a side note, I did not see that notification mentioned in the link you posted.

I skimmed over release notes and ignored this particular deprecation.

I suggest highlighting this fact more.

#12 - 04/23/2019 08:05 AM - Marek Hulán

- Status changed from New to Resolved

This is resolved by 1.21 where orgs and locs are always enabled, please reopen if I misunderstood.

Files

missing.PNG 28.7 KB 12/02/2018 Radosław Piliszek

where.PNG 26.4 KB 12/02/2018 Radosław Piliszek
